; ************************************************************
; Die ist die Unit t6963.ASM
;
; written by A.Vogel	piep.aachen@gmx.de
;
; Ver. 1.0      Date: 03.06.02
; ************************************************************





.equ t6963_port_data		= PORTC;		Data Port register
.equ t6963_port_data_dir	= DDRC;			Data Port DIR register
.equ t6963_port_data_pin	= pinc;
.equ t6963_port_ctrl		= PORTD;			Control Port register
.equ t6963_port_ctrl_dir	= DDRD;			Control Port DIR register
.equ t6963_ctrl_rd		= 7;			Bit Read
.equ t6963_ctrl_wr		= 6;			Bit Write
.equ t6963_ctrl_cmddta		= 5;			Bit Command\Data
.equ t6963_ctrl_en		= 4;			Bit Enable\





.INCLUDE "t6963_init.asm";				Init Display
.INCLUDE "t6963_senddata.asm";				Send Data 2 LCD
.INCLUDE "t6963_sendcmd.asm";				Send Command 2 LCD
.include "t6963_setxy.asm";
.include "t6963_wr_txt_line.asm";
.include "t6963_wr_rom_line.asm";
.include "t6963_clr_text.asm";
.include "t6963_clr_graph.asm";