
;*******************************************************************
; Init T6963 LC_Display. Needs approx 100ms
;
;*******************************************************************


t6963_init:

sbi t6963_port_ctrl_dir,t6963_ctrl_rd;		set ctrl RD to out
sbi t6963_port_ctrl_dir,t6963_ctrl_wr;		set ctrl WR to out
sbi t6963_port_ctrl_dir,t6963_ctrl_cmddta;	set ctrl cmd\dta to out
sbi t6963_port_ctrl_dir,t6963_ctrl_en;		set ctrl EN to out

ldi r22,255;
t6963_init_1:
ldi r16,225;
;rcall wait_long;
dec r22;
brne t6963_init_1;



ldi r17,0;
ldi r18,0;
ldi r19,$40;
rcall t6963_sendcmd;		RAM Text Adress


ldi r17,20;
ldi r18,0;
ldi r19,$41;
rcall t6963_sendcmd;		line length

ldi r17,0;
ldi r18,2;
ldi r19,$42;
rcall t6963_sendcmd;		Ram Graphic Home

ldi r17,20;
ldi r18,0;
ldi r19,$43;
rcall t6963_sendcmd;		line length Graphic




ldi r17,0;
ldi r18,0;
ldi r19,128;
rcall t6963_sendcmd;		Or mode, internal char



ldi r17,0;
ldi r18,0;
ldi r19,148;
rcall t6963_sendcmd;		text mode on

ldi r17,1;
ldi r18,1;
ldi r19,$21;
rcall t6963_sendcmd;		cursor settings

ldi r17,0;
ldi r18,0;
ldi r19,148;
rcall t6963_sendcmd;		


ret;







t6963_setdirout:
ldi r16,$FF;
out t6963_port_data_dir,r16;		set port dir reg to 255 (output)
ret;

t6963_setdirin:
ldi r16,$00;
out t6963_port_data_dir,r16;		set port dir reg to 0 (input)
ret;

;********************************************
; status check, returns r16>0 if ready for new data/cmd
;	        else r16=0
;********************************************
t6963_checkstat:

rcall t6963_setdirin;
sbi t6963_port_ctrl,t6963_ctrl_en;
sbi t6963_port_ctrl,t6963_ctrl_cmddta;
sbi t6963_port_ctrl,t6963_ctrl_wr;
cbi t6963_port_ctrl,t6963_ctrl_rd;

nop;
nop;
nop;
cbi t6963_port_ctrl,t6963_ctrl_en;
nop;
nop;
nop;
nop;
nop;
in r16,t6963_port_data_pin;
nop;
nop;
nop;
sbi t6963_port_ctrl,t6963_ctrl_en;
sbi t6963_port_ctrl,t6963_ctrl_rd;
andi r16,3;				mask status to Bit 0..1
cpi r16,3;
breq t6369_checkstat_end;
ldi r16,0;
t6369_checkstat_end: 

ret;