;********************************
;writes text line to t6963 LCD Display
; ZH,ZL=Adress in ROM	line ends with 0 !
;*********************************
t6963_wr_rom_line:


push r18;
push r19;
push r17;
push r0;
ldi r17,0;

t6963_wr_rom_line_1:
	lpm				; Load byte from program memory into r0
	tst	r0			; Check if we've reached the end of the message
	breq	t6963_wr_rom_line_end	; If so, quit
	mov r18,r0;
	subi r18,$20;
	ldi r19,$C0			;
	rcall t6963_sendcmd		; Put the character to LCD
	adiw	ZL,1			; Increase Z registers
	rjmp	t6963_wr_rom_line_1;

t6963_wr_rom_line_end:

pop r0;
pop r17;
pop r19;
pop r18;













ret;

