;********************************************
; T6963 setpixel
; in:	ZL,ZH  adress !
;	r16,r17,r18	byte 1..3 to print
;*********************************************
t6963_setpixels:

push r16;
push r17;
push r18;
push r19;
push r21;
push r22;
push r23;
push r24;

mov r23,r17;
mov r24,r18;
mov r17,zl;		set pointer lcd
mov r18,zh;
ldi r19,$24;
rcall t6963_sendcmd;
mov r17,r23;
mov r18,r24;

ldi r21,6;			mod bit Counter
ldi r22,24;			loop cnter

t6963_setpixels_1:

ldi r19,$F8;
add r19,r21;			set setpixel cmd
subi r19,1;
sbrc r16,7;			bit 7=1? NO->skip next
rcall t6963_sendcmd_fast;

clc;				clr carry
rol r18;
rol r17;
rol r16;			shift all 1 bit left
dec r21
brne t6963_setpixels_5;		wrap bit 6
ldi r21,6;
adiw ZL,1;
mov r23,r17;
mov r24,r18;
mov r17,zl;		set pointer lcd
mov r18,zh;
ldi r19,$24;
rcall t6963_sendcmd;
mov r17,r23;
mov r18,r24;

t6963_setpixels_5:		

dec r22;
breq t6963_setpixels_end;

rjmp t6963_setpixels_1;			



t6963_setpixels_end:

pop r24;
pop r23;
pop r22;
pop r21;
pop r19;
pop r18;
pop r17;
pop r16;



ret;